import request from '@/utils/request'

// 创建技术运维单位
export function createTechOrg(data) {
  return request({
    url: '/server/tech-org/create',
    method: 'post',
    data: data
  })
}

// 更新技术运维单位
export function updateTechOrg(data) {
  return request({
    url: '/server/tech-org/update',
    method: 'post',
    data: data
  })
}

// 删除技术运维单位
export function deleteTechOrg(id) {
  return request({
    url: '/server/tech-org/delete?id=' + id,
    method: 'post'
  })
}

// 获得技术运维单位
export function getTechOrg(id) {
  return request({
    url: '/server/tech-org/get?id=' + id,
    method: 'get'
  })
}

// 获得技术运维单位分页
export function getTechOrgPage(params) {
  return request({
    url: '/server/tech-org/page',
    method: 'get',
    params
  })
}
// 导出技术运维单位 Excel
export function exportTechOrgExcel(params) {
  return request({
    url: '/server/tech-org/export-excel',
    method: 'get',
    params,
    responseType: 'blob'
  })
}

export function getTechOrgList() {
  return request({
    url: '/server/tech-org/getTechOrgList',
    method: 'get'
  })
}

